Bug 731624 - Reconsider thunderbird-lightning addon in our repositories
Summary: Reconsider thunderbird-lightning addon in our repositories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird-lightning
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 720709 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 06:33 UTC by Jan Horak
Modified: 2018-04-11 11:18 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-22 23:19:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 680025 None None None Never

Description Jan Horak 2011-08-18 06:33:59 UTC
With frequent Thunderbird updates we have problem with thunderbird-lightning extension. Official sources of lightning package does not get updated/released when new version of thunderbird is released and our package get negative karma because lightning is not working anymore. While it is security update, we should release it ASAP.

There are two solutions of this problem:
 - Drop thunderbird-lightning package and let users install it from addon 
   manager
 - Use thunderbird sources to rebuild this package

The drawback of second solution is that we don't use official released sources and we may be using some kind of nightly build of lightning to build lightning package.

See: https://admin.fedoraproject.org/updates/thunderbird-6.0-1.fc15

Comment 1 Matthias Runge 2011-08-18 12:16:38 UTC
It seems, upstream can't meet the faster update cylce of thunderbird main-releases. This seems to be a more general mozilla (firefox, thinderbird,...) problem. Are you in contact with upstream? What are they saying?

If I was asked, I'd prefer the second mentioned solution.

Comment 2 Michael Cronenworth 2011-08-18 13:05:48 UTC
The official 1.0b5 release (not nightly) on a.m.o works with TB 6.0. Something is amiss.

Comment 3 Orion Poplawski 2011-08-18 15:16:37 UTC
Seems that there are other reports of it.

Comment 4 Orion Poplawski 2011-08-18 19:35:51 UTC
Looks like the 1.0b5rc3 tarball is based of the comm-miramar sources (TB5).  So yeah, looks like we'd need a released based off of TB6.

I really don't know what the best way forward long term.  For the F15 update I'm going to build from the TB6 sources.

Comment 5 Michael Cronenworth 2011-08-18 19:48:56 UTC
How about adding this to the lightning spec:

Requires: thunderbird = 6.0

AutoQA would fail when thunderbird 7 gets pushed. Right? Of course, AutoQA is not enforcing yet, I believe, so this is pointless, but it would prevent people from updating to a thunderbird that breaks lightning.

Comment 6 Orion Poplawski 2011-08-18 20:27:18 UTC
Does anyone know where the l10n release repo for TB6 is?  I was using: http://hg.mozilla.org/releases/l10n-miramar for TB5, but not having luck with l10n-aurora or anything else.

Comment 7 Orion Poplawski 2011-08-18 21:09:48 UTC
(In reply to comment #5)
> How about adding this to the lightning spec:
> 
> Requires: thunderbird = 6.0

What's the expectation these days for TB version numbers?  Will there ever be a 6.1 that is compatible with 6.0?

Comment 8 Michael Cronenworth 2011-08-18 21:21:05 UTC
(In reply to comment #7)
> What's the expectation these days for TB version numbers?  Will there ever be a
> 6.1 that is compatible with 6.0?

I cannot find the documentation, but it is my understanding that there are no more #.x releases. Security updates are #.0.x. The next major version of TB will be 7.0, then 8.0, etc. You could have the Requires be < 7.0 and you should be safe.

https://wiki.mozilla.org/RapidRelease

Comment 9 Orion Poplawski 2011-08-18 23:05:39 UTC
Great, I built lightning out of the TB6 sources but now it says that it is incompatible with TB6.

Comment 10 Orion Poplawski 2011-08-19 17:39:10 UTC
I've built thunderbird-lightning-1.0-0.48.b5.fc15 and it appears to work for me.  Jan, do you want to add it to the tb update or shall I make a separate one?

Comment 11 Jan Horak 2011-08-22 08:29:09 UTC
(In reply to comment #10)
> I've built thunderbird-lightning-1.0-0.48.b5.fc15 and it appears to work for
> me.  Jan, do you want to add it to the tb update or shall I make a separate
> one?

I've added your build to thunderbird update. Thanks a lot!

Comment 12 Jan Horak 2011-08-22 09:01:29 UTC
(In reply to comment #5)
> How about adding this to the lightning spec:
> 
> Requires: thunderbird = 6.0
> 
> AutoQA would fail when thunderbird 7 gets pushed. Right? Of course, AutoQA is
> not enforcing yet, I believe, so this is pointless, but it would prevent people
> from updating to a thunderbird that breaks lightning.

The problem is that these Thunderbird packages are security updates and we should deliver them ASAP. We're starting the builds and fill update in bodhi on the release day so there is a little time to push it to users. I understand those people who's giving us bad karma because lightning doesn't work. However that's delaying security update even more. 

Today is Aug 22, the update was supposed to be released by mozilla on Aug 16. It made it into bodhi on Aug 17 (we had to solve few problems because of latest mozilla release policy, sources changing a lot more now between releases).

It takes few hours to get the package to update-testing, it takes some time to let volunteer testers to install this package and get positive karma. After karma is high enough we're pushing it to stable which also takes few hours. We're just getting few days delay even if our packages are just fine. 

I understand that problem with missing calendar in Thunderbird might be really frustrating but we're getting very delayed security updates there.

I'll try to rebuild the lightning package each time I'm doing thunderbird update. I don't want to change thunderbird-lightning package radically, as long as it is maintainer privilege, by uploading new sources, if he doesn't agree (Orion what do you think about it?).

Comment 13 Michael Cronenworth 2011-08-22 13:26:45 UTC
(In reply to comment #12)
> I understand that problem with missing calendar in Thunderbird might be really
> frustrating but we're getting very delayed security updates there.

Jan, updates-testing is for catching bugs. Releasing updates in the vain of security (priority one! GO GO GO!) and having things break are what caused all security updates to require testing in the first place. I believe thunderbird was one of the reasons.

If you want to debate the updates process you should take it to the devel list.

Getting back to business: I'll mark positive karma on the updates now. Thanks all.

Comment 14 Orion Poplawski 2011-08-22 14:46:04 UTC
Jan - I'm not a believer in maintainer=owner.  The only reason I submitted the thunderbird-lightning package is that no one else did.  I could use all the help I can get dealing with it.  I'd happily give it up if anyone wanted it.  I'm also still open to other ideas about how to deal with lightning.

Comment 15 Philipp Kewisch [:Fallen] 2011-08-23 17:54:20 UTC
Hey Folks, speaking as a Lightning developer here.

I'm sorry building Lightning has been such a pain, it has been a lot of pain for me too. Lightning 1.0b5 is special in a sense since I manually crammed a Thunderbird 6.0 compatible binary component into the release package. I did this to avoid the need for a separate release in the middle of my exams, and since our build infrastrucutre isn't far enough to create automatic releases.

If we fix up our release automation so far that we can release just by pressing a button, then this special situation shouldn't show up again and it will be one binary component per release again.

I can't make a commitment on this yet at the moment though, since I don't know how quickly things will progress in the next weeks.

Comment 16 Orion Poplawski 2011-08-23 18:01:30 UTC
Philipp - thanks for coming on board here.  What is critical for Fedora is timely source releases that match up with the current TB release.  Thanks!

Comment 17 Philipp Kewisch [:Fallen] 2011-08-23 19:11:56 UTC
I very much understand that and am working on making it easier. If we do decide to package more than one binary in a release again, in the future it will be easier and I have a work in progress unification script that will be part of the tree when we get there.

Comment 18 Matěj Cepl 2011-08-28 22:36:18 UTC
*** Bug 720709 has been marked as a duplicate of this bug. ***

Comment 19 Orion Poplawski 2011-11-22 23:19:23 UTC
Seems like it's been working okay lately.  Probably will revisit again next time there is major trouble.


Note You need to log in before you can comment on or make changes to this bug.